Skip to main content
GET
/
base
/
{baseId}
/
node
/
list
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/node/list \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
[
  {
    "id": "<string>",
    "parentId": "<string>",
    "resourceId": "<string>",
    "order": 123,
    "resourceType": "table",
    "resourceMeta": {
      "name": "<string>",
      "icon": "<string>",
      "defaultViewId": "<string>"
    },
    "defaultUrl": "<string>",
    "parent": {
      "id": "<string>"
    },
    "children": [
      {
        "id": "<string>",
        "order": 123
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required

Response

200 - application/json

List nodes

id
string
required
parentId
string | null
required
resourceId
string
required
order
number
required
resourceType
enum<string>
required
Available options:
table
resourceMeta
object
required
defaultUrl
string
parent
object
children
object[] | null
Last modified on March 5, 2026